#
# spec file for package java-1_5_0-ibm (Version 1.5.0_sr12.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           java-1_5_0-ibm
BuildRequires:  jpackage-utils update-alternatives update-desktop-files
%define section         non-free
%ifarch x86_64
%define target_cpu x86_64
%endif
%ifarch s390
%define target_cpu s390
%endif
%ifarch s390x
%define target_cpu s390x
%endif
%ifarch ppc
%define target_cpu ppc
BuildRequires:  compat-libstdc++
%endif
%ifarch ppc64
%define target_cpu ppc64
BuildRequires:  compat-libstdc++
%endif
%ifarch %ix86
%define target_cpu i386
%endif
%define origin          ibm
%define priority        1514
%define javaver         1.5.0
%define cvsver          1_5_0
%define buildver        12.2
%define release         1jpp
# TODO: Think about using conditionals for version variants.
%define version         %{javaver}.%{buildver}
%define cvsversion      %{cvsver}_%{buildver}
%define javaws_ver      %{javaver}
%define javaws_version  %{cvsversion}
%define toplevel_dir    ibm-java2-%{target_cpu}-50
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{javaver}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define sdklibdir       %{_jvmdir}/%{sdklnk}/lib
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{javaver}
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define pluginsdir      %{_libdir}/browser-plugins
%define pluginpath      %{_jvmdir}/%{jredir}/bin
%define pluginname      libjavaplugin_oji.so
%define cgibindir       /srv/www/cgi-bin
# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0
Version:        1.5.0_sr12.2
Release:        0.4.1
Summary:        Java(TM) 5 Runtime Environment
License:        "IBM ILAN ..."
Group:          Development/Languages/Java
Url:            http://www-128.ibm.com/developerworks/java/jdk/
Source0:        ibm-java2-sdk-5.0-%{buildver}-linux-i386.tar.bz2
NoSource:       0
Source1:        ibm-java2-sdk-5.0-%{buildver}-linux-ppc64.tar.bz2
NoSource:       1
Source2:        ibm-java2-sdk-5.0-%{buildver}-linux-ppc.tar.bz2
NoSource:       2
Source3:        ibm-java2-sdk-5.0-%{buildver}-linux-s390.tar.bz2
NoSource:       3
Source4:        ibm-java2-sdk-5.0-%{buildver}-linux-s390x.tar.bz2
NoSource:       4
Source5:        ibm-java2-sdk-5.0-%{buildver}-linux-x86_64.tar.bz2
NoSource:       5
Source6:        wrapper-script
Source7:        font.properties.SuSE.tar.gz
Source8:        baselibs.conf
# unrestricted security keys from https://www14.software.ibm.com/webapp/iwm/web/reg/signup.do?source=jcesdk&lang=en_US&S_PKG=142ww
Source9:        unrestricted.zip
Source20:       patch.sh
Source21:       Moh.class
Source22:       jtzu-1.6.9s.zip
NoSource:       22
%define         tzupdate false
Provides:       jre-%{javaver}-%{origin} = %{version}-%{release}
Provides:       jre-%{origin} = %{version}-%{release}
Provides:       jre-%{javaver}, java-%{javaver}, jre = %{javaver}
Provides:       java-%{origin} = %{version}-%{release}
Provides:       java = %{javaver}
Requires:       /usr/sbin/update-alternatives
Requires:       jpackage-utils >= 1.5.38
%ifarch %ix86 ppc ppc64
Requires:       compat-libstdc++
%endif
# bnc#459800
Requires:       java-fonts >= %{javaver}
ExclusiveArch:  %ix86 ppc ppc64 s390 s390x x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch %ix86 ppc ppc64
Provides:       javaws = %{javaws_ver}
%endif
Provides:       jndi = %{javaver}, jndi-ldap = %{javaver}
Provides:       jndi-cos = %{javaver}, jndi-rmi = %{javaver}
Provides:       jndi-dns = %{javaver}
Provides:       jaas = %{javaver}
Provides:       jsse = %{javaver}
Provides:       jce = %{javaver}
%ifarch %ix86 ppc s390
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{version}
%endif
Provides:       java-sasl = %{version}
Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x jre1.5.x
PreReq:         /usr/sbin/update-alternatives
Provides:       j2re = 1.5.0, j2re

%description
Java(TM) 5 Runtime Environment

The Java(TM) 5 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers. For development tools, see the
java-1.5.0-ibm-devel package.

The Java 5 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%package        devel
License:        "IBM ILAN ..."
Summary:        Java(TM) 5 SDK, Standard Edition
Group:          Development/Languages/Java
Requires:       /usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{javaver}, java-sdk = %{javaver}
Provides:       java-devel-%{origin} = %{version}-%{release}
Provides:       java-%{javaver}-devel, java-devel = %{javaver}
Requires:       %{name} = %{version}-%{release}
Provides:       j2sdk = 1.5.0, j2sdk

%description    devel
The Java 5 SDK is a development environment for building applications,
applets, and components using the Java programming language.

The Java 5 SDK includes tools useful for developing and testing
programs written in the Java programming language and running on the
Java platform. These tools are designed to be used from the command
line. Except for the appletviewer, these tools do not provide a
graphical user interface.



%package        src
License:        "IBM ILAN ..."
Summary:        Java(TM) 5 Runtime Environment
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    src
Java(TM) 5 Runtime Environment

The Java(TM) 5 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers. For development tools, see the
java-1.5.0-ibm-devel package.

The Java 5 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%package        demo
License:        "IBM ILAN ..."
Summary:        Demonstration files for java-1_5_0-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
# Without this a requirement on libjava_crw_demo_g.so is added which
# is not in the main java package. libjava_crw_demo.so is but not "_g".
AutoReq:        0

%description    demo
This package contains demonstration files for java-1_5_0-ibm.



%ifarch %ix86 ppc

%package        plugin
License:        "IBM ILAN ..."
Summary:        Browser plugin files for java-1_5_0-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
Conflicts:      java-%{javaver}-sun-plugin, java-%{javaver}-blackdown-plugin
Conflicts:      java-%{javaver}-bea-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin, java-1.4.2-plugin
Provides:       java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin, java-1.4.2-plugin

%description    plugin
This package contains browser plugin files for java-1_5_0-ibm. Note:
this package supports browsers built with GCC 3.2 and later



%endif

%package        fonts
License:        "IBM ILAN ..."
Summary:        Java(TM) 2 Runtime Environment
Group:          Development/Languages/Java
Provides:       java-fonts = %{javaver}, java-%{javaver}-fonts
Conflicts:      java-%{javaver}-sun-fonts, java-%{javaver}-blackdown-fonts
Conflicts:      java-%{javaver}-bea-fonts
Obsoletes:      java-1.3.1-fonts, java-1.4.0-fonts, java-1.4.1-fonts, java-1.4.2-fonts
Provides:       java-1.3.1-fonts, java-1.4.0-fonts, java-1.4.1-fonts, java-1.4.2-fonts

%description    fonts
Java(TM) 2 Runtime Environment

The Java(TM) 2 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers. For development tools, see the Java 2
SDK, Standard Edition.

The Java 2 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%ifarch %ix86

%package        alsa
License:        "IBM ILAN ..."
Summary:        ALSA support for java-1_5_0-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    alsa
This package contains Advanced Linux Sound Architecture (ALSA) support
libraries for java-1_5_0-ibm.



%endif
%ifarch %ix86 ppc s390

%package        jdbc
License:        "IBM ILAN ..."
Summary:        JDBC/ODBC bridge driver for java-1_5_0-ibm
Group:          Development/Languages/Java
AutoReq:        0
Requires:       %{name} = %{version}-%{release}
Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so
Provides:       java-jdbc = %{version}, java-jdbc

%description    jdbc
This package contains the JDBC/ODBC bridge driver for java-1_5_0-ibm.



%endif

%prep
rm -rf $RPM_BUILD_ROOT
#%setup -n %{toplevel_dir}
# SUSE: no macro expansion in SOURCEs
%ifarch ppc
tar -jxf %{SOURCE2}
%endif
%ifarch ppc64
tar -jxf %{SOURCE1}
%endif 
%ifarch %ix86
tar -jxf %{SOURCE0}
%endif
%ifarch s390
tar -jxf %{SOURCE3}
%endif
%ifarch s390x
tar -jxf %{SOURCE4}
%endif
%ifarch x86_64
tar -jxf %{SOURCE5}
echo x86_64
%endif
# do not unpack anything, but change into toplevel_dir
chmod a+x %{SOURCE6}
cp %{SOURCE6} %{toplevel_dir}
%setup -T -D -n %{toplevel_dir} -a 7
chmod -R go=u-w *
chmod -R u+w *
chmod 644 COPYRIGHT
find docs -type f | xargs chmod 644
# timezone update
if [ "%tzupdate" = "true" ]; then
sh %{SOURCE20} %{SOURCE22} $(pwd) %{SOURCE21}
fi
# update policy jars (US_export_policy.jar, local_policy.jar)
POLICY_JAR1="US_export_policy.jar"
POLICY_JAR2="local_policy.jar"
POLICY_DIR=$(dirname `find . -name $POLICY_JAR1`)
pushd $POLICY_DIR
rm $POLICY_JAR1 $POLICY_JAR2
unzip %{SOURCE9} $POLICY_JAR1 $POLICY_JAR2
popd

%build
# Nope.

%install
# bnc#538528
export NO_BRP_STRIP_DEBUG=true
export NO_DEBUGINFO_STRIP_DEBUG=true
%define __debug_install_post %{nil}
rm -rf $RPM_BUILD_ROOT
%ifarch %ix86 ppc ppc64
# fix up ControlPanel ADIR location
perl -p -i -e 's|ADIR=.*|ADIR=%{_jvmdir}/%{jredir}|' jre/bin/ControlPanel
# fix up HtmlConverter
perl -p -i -e 's|BINDIR=.*|BINDIR=%{_jvmdir}/%{jredir}|' bin/HtmlConverter
# fix up java-rmi.cgi PATH
perl -p -i -e 's|PATH=.*|PATH=%{jrebindir}|' bin/java-rmi.cgi
# install java-rmi-cgi
install -D -m 755 bin/java-rmi.cgi $RPM_BUILD_ROOT%{cgibindir}/java-rmi-%{version}.cgi
%endif
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.jar $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
(cd $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir} && ln -s src.jar src.zip)
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/ibmjsseprovider2.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/ibmjcefw.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/ibmjaaslm.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/core.jar jdbc-stdext-%{version}.jar
%ifarch %ix86 ppc s390
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
%endif
   ln -s %{_jvmdir}/%{jredir}/lib/security.jar sasl-%{version}.jar
   for jar in *-%{version}.jar ; do
      if [ x%{version} != x%{javaver} ]; then
         ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      fi
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
# rest of the jre
cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
%ifarch %ix86 ppc ppc64
cp -a jre/javaws $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed
# jce policy file handling
install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done
# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
%ifarch ppc %ix86
# freedesktop.org menu entry for console
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
[Desktop Entry]
Name=IBM Java %{version} Java Plug-in Control Panel
GenericName=Java Plugin Control Panel
Comment=IBM Java %{version} Java Plug-in Control Panel
Exec=%{_jvmdir}/%{jredir}/bin/ControlPanel
Icon=ibm-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
EOF
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop -r Java System SystemSetup
install -Dpm 644 demo/jfc/Metalworks/HelpFiles/javalogo.gif \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/ibm-java-%{version}-%{release}.png
%endif
%ifarch %ix86 ppc ppc64
# menu entry for web start (reuse plugin control panel icon)
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -Dpm 644 demo/jfc/Metalworks/HelpFiles/javalogo.gif \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/ibm-java-%{version}-%{release}.png
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
[Desktop Entry]
Name=IBM  Java %{version} Java Web Start
GenericName=Java Web Start
Comment=Java Web Start Application Manager
Exec=%{_jvmdir}/%{jredir}/javaws/javaws
Icon=ibm-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop -r Java System Monitor 
%endif
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}
### font handling
pushd $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/lib
   # Remove font.properties and use the system-wide one -- NiM
   rm -f font.properties
   ln -fs %{_sysconfdir}/java/font.properties .
   # remove supplied fonts.dir in preference of the one to be dynamically generated -- Rex
   rm fonts/fonts.dir
   # These %ghost'd files are created properly in %post  -- Rex
   touch fonts/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}
   if [ "%{fontdir}" != "%{jredir}/lib/fonts" ] ; then
      install -d -m 755 $RPM_BUILD_ROOT%{fontdir}
      mv fonts/* $RPM_BUILD_ROOT%{fontdir}
      rmdir fonts
      ln -fs %{fontdir} fonts
   fi
popd
# font registration/unregistration
# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files
grep Jdbc    %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
%ifarch %ix86
grep -F alsa.so %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-alsa.files
%endif
cat %{name}-%{version}-all.files \
  | grep -v plugin \
  | grep -v Jdbc \
  | grep -v properties \
  | grep -v lib/fonts \
  | grep -vF alsa.so \
  | grep -v jre/lib/security \
  > %{name}-%{version}.files
# bnc#394974
install -d -m 0755 $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/.systemPrefs
# HACK FOR DISABLED DEBUG
echo "/usr/lib/debug" > debugfiles.list
mkdir -p $RPM_BUILD_ROOT/usr/lib/debug
#

%clean
rm -rf $RPM_BUILD_ROOT

%preun fonts
%ifarch %ix86 ppc

%post plugin
  # set link to plugin lib
  ln -sf %{pluginpath}/%{pluginname} %{pluginsdir} 

%preun plugin
  if [ "$1" = "0" ] ; then
  rm %{pluginsdir}/%{pluginname}
  fi
%endif

%post
update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
%ifarch %ix86 ppc ppc64
--slave %{_bindir}/ControlPanel            ControlPanel                %{jrebindir}/ControlPanel \
%endif
%ifarch %ix86 ppc ppc64
--slave %{_datadir}/javaws                 javaws                      %{jrebindir}/javaws \
%endif
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv
update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports     %{_jvmjardir}/%{jrelnk}
update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}
if [ -d %{_jvmdir}/%{jrelnk}/lib/security ]; then
  # Need to remove the old jars in order to support upgrading, ugly :(
  # update-alternatives fails silently if the link targets exist as files.
  rm -f %{_jvmdir}/%{jrelnk}/lib/security/{local,US_export}_policy.jar
fi
update-alternatives \
  --install \
    %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
    jce_%{javaver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/US_export_policy.jar
%ifarch %ix86 ppc ppc64
if [ -f %{_sysconfdir}/mime.types ]; then
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mailcap.bak 2>/dev/null
   echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mime.types 2>/dev/null
   echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null
fi
%endif

%post devel
update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/jconsole                 jconsole                    %{sdkbindir}/jconsole \
--slave %{_bindir}/pack200                  pack200                     %{sdkbindir}/pack200 \
--slave %{_bindir}/unpack200                unpack200                   %{sdkbindir}/unpack200 \
%ifnarch x86_64
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
%endif
--slave %{_bindir}/apt                      apt                         %{sdkbindir}/apt
update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports     %{_jvmjardir}/%{sdklnk}
update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports      %{_jvmjardir}/%{sdklnk}
# We do not care if all/any of this actually succeeds
# Therefore errors are caught but messages are allowed

%postun
if [ $1 -eq 0 ]; then
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar
  update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ $1 -eq 0 ]; then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc docs/* 
%ifarch ppc %ix86 ppc64
%{_datadir}/pixmaps/ibm-java-%{version}-%{release}.png
%endif
%doc COPYRIGHT
%dir %{_jvmdir}/%{sdkdir}
%{jvmjardir}
%ifarch %ix86 ppc ppc64
%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%endif
%{_jvmdir}/%{jredir}/lib/fonts
%dir %{_jvmdir}/%{jredir}/lib/security
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/*.properties
%attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/*.properties*
%attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/images/cursors/*.properties*
%attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/management/*.properties*
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security.jar
%ifarch %ix86 ppc ppc64
%config(noreplace) %attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/javaws/*.properties*
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/javaws.policy
%endif
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%dir %{_jvmdir}/%{jredir}/.systemPrefs

%files devel
%defattr(-,root,root,-)
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%ifarch %ix86 ppc ppc64
%{cgibindir}/java-rmi-%{version}.cgi
%endif

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.jar
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/demo
%ifarch %ix86

%files alsa -f %{name}-%{version}-alsa.files
%defattr(-,root,root,-)
%endif
%ifarch %ix86 ppc s390

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)
%endif
%ifarch %ix86 ppc

%files plugin
%defattr(-,root,root,-)
%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
%dir %{_datadir}/%{name}
%{_jvmdir}/%{jredir}/bin/javaplugin.so
%{_jvmdir}/%{jredir}/bin/libjavaplugin*.so
%{_jvmdir}/%{jredir}/lib/javaplugin.jar
%endif
%ifarch %ix86
%{_jvmdir}/%{jredir}/bin/libjavaplugin_ojigtk2.so
%{_jvmdir}/%{jredir}/bin/libjavaplugin_nscpgtk2.so
%{_jvmdir}/%{jredir}/bin/libjavaplugin_ns6_ojigtk2.so
%endif

%files fonts
%defattr(0644,root,root,0755)
%if %{sles_version:1}0
%dir %{_datadir}/fonts
%endif
%dir %{fontdir}
%{fontdir}/*.ttf
%config(noreplace) %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir

%changelog
* Tue Oct 26 2010 mvyskocil@suse.cz
- fix bnc#648950 - VUL-0: IBM Java 5 SR12 FP2
  * CVE-2009-3555
  * CVE-2010-1321
  * CVE-2010-3541
  * CVE-2010-3548
  * CVE-2010-3549
  * CVE-2010-3550
  * CVE-2010-3551
  * CVE-2010-3556
  * CVE-2010-3559
  * CVE-2010-3562
  * CVE-2010-3565
  * CVE-2010-3566
  * CVE-2010-3568
  * CVE-2010-3569
  * CVE-2010-3572
  * CVE-2010-3573
  * CVE-2010-3574
* Tue Aug 31 2010 mvyskocil@suse.cz
- fix bnc#627514 #c12: VUL-0: IBM Java 5 SR12FP1
* Fri Aug  6 2010 mvyskocil@suse.cz
- fix bnc#627514 - VUL-0: IBM Java 5 SR12
* Thu Jun 17 2010 mvyskocil@suse.cz
- fix bnc#614753 - VUL-0: IBM Java 5 SR11 FP2
  * CVE-2010-0084
  * CVE-2010-0085
  * CVE-2010-0087
  * CVE-2010-0088
  * CVE-2010-0089
  * CVE-2010-0091
  * CVE-2010-0092
  * CVE-2009-3555
  * CVE-2010-0094
  * CVE-2010-0095
  * CVE-2010-0837
  * CVE-2010-0838
  * CVE-2010-0839
  * CVE-2010-0840
  * CVE-2010-0841
  * CVE-2010-0842
  * CVE-2010-0843
  * CVE-2010-0844
  * CVE-2010-0846
  * CVE-2010-0847
  * CVE-2010-0848
  * CVE-2010-0849
  reference http://www.ibm.com/developerworks/java/jdk/alerts/
* Mon Mar 29 2010 mvyskocil@suse.cz
- fix bnc#590826 - VUL-0: IBM java 1.4.2 U13FP4, Java 5 SR 11 FP1
* Wed Dec  2 2009 mvyskocil@suse.cz
- update to 1.5.0 sr11 (bnc#558653)
- updated timezone data to 1.6.9s (bnc#558342)
  * the update is now triggered by %%%%tzupdate macro
- removed wrapper creation in %%%%pre
* Wed Sep 23 2009 ro@suse.de
- baselibs.conf: make sure documentation is also present
  in XXbit packages
- baselibs.conf: update priority for update-alternatives calls
* Wed Sep 23 2009 ro@suse.de
- more changes to circumvent debuginfo scripts to ensure
  binaries are identical to tarball content
* Mon Sep 14 2009 mvyskocil@suse.cz
- fixed bnc#538528 - Java packages do not have needed files and binary sizes
  are different
  * disable brp-strip-debug
  * disable wrapper creation
  * moved docs to JRE from -devel package
* Tue Jul 28 2009 mvyskocil@suse.cz
- update to 1.5.0 sr10 (bnc#525562)
* Wed Jul 22 2009 ro@suse.de
- make sure wrapper is executable
* Mon Jul 20 2009 meissner@suse.de
- adapt baselibs.conf to actually fill java-1_5_0-ibm-64bit
  with working content (for 64bit packages on ppc32). (bnc#517690)
* Fri May 15 2009 mvyskocil@suse.cz
- update to 1.5.0 sr9-ssu (bnc#497424)
* Fri Apr  3 2009 ro@suse.de
- buildfix: do not redefine debug_package
* Mon Jan 26 2009 ro@suse.de
- baselibs.conf: replace <version> by 1.5.0 where needed
* Fri Jan 16 2009 mvyskocil@suse.cz
- use a %%%%{javaver} in a top dir (bnc#466078)
- added a fonts Requires (bnc#459800)
* Thu Jan 15 2009 mvyskocil@suse.cz
- updated to 1.5.0 sr9 (bnc#465624)
- updated timezone data to 1.6.8i
* Wed Oct  1 2008 anosek@suse.cz
- updated to 1.5.0 sr8a (bnc#431220)
  - Sun Security fix 6332953
  - Fixing regression in Bigdecimal.subtract
- updated timezone data to 1.6.8f (bnc#427617)
- fixed Missing .systemPrefs (bnc#394974)
* Thu Sep 11 2008 anosek@suse.cz
- updated policy jars (US_export_policy.jar, local_policy.jar)
  (bnc#423677)
* Mon Aug 25 2008 anosek@suse.cz
- updated to 1.5.0 sr8 (bnc#418499)
- updated timezone data to 1.6.8e
* Tue Jul  1 2008 anosek@suse.cz
- updated timezone data (bnc#397378)
* Tue Apr 15 2008 mvyskocil@suse.cz
- update to 1.5.0 sr7: VUL-0: IBM Java: multiple vulnerabilities [bnc#379038]
- CVE-2008-1196: A buffer overflow vulnerability in Java Web Start may allow an
  untrusted Java Web Start application that is downloaded from a website to
  elevate its privileges. For example, an untrusted Java Web Start application
  may grant itself permissions to read and write local files or execute local
  applications that are accessible to the user running the untrusted
  application.
- CVE-2008-1195: A vulnerability in the Java Runtime Environment may allow
  JavaScript(TM) code that is downloaded by a browser to make connections to
  network services on the system that the browser runs on, through Java APIs,
  This may allow files (that are accessible through these network services) or
  vulnerabilities (that exist on these network services) which are not
  otherwise normally accessible to be accessed or exploited.
- CVE-2008-1194: Two buffer overflow vulnerabilities may allow an untrusted
  applet or application to cause the Java Runtime Environment to crash.
- CVE-2008-1194: A buffer overflow vulnerability in the Java Runtime
  Environment image parsing code may allow an untrusted applet or application
  to create a denial-of-service condition, by causing the Java Runtime
  Environment to crash.
- CVE-2008-1193: A buffer overflow vulnerability in the Java Runtime
  Environment image parsing code allow an untrusted applet or application to
  elevate its privileges. For example, an application may grant itself
  permissions to read and write local files or execute local applications that
  are accessible to the user running the untrusted application.
- CVE-2008-1192: A vulnerability in the Java Plug-in may an untrusted applet to
  bypass same origin policy and leverage this flaw to execute local
  applications that are accessible to the user running the untrusted applet.
- CVE-2008-1190: A vulnerability in Java Web Start may allow an untrusted Java
  Web Start application to elevate its privileges. For example, an application
  may grant itself permissions to read and write local files or execute local
  applications that are accessible to the user running the untrusted
  application.
- CVE-2008-1189: A buffer overflow vulnerability in the Java Runtime
  Environment may allow an untrusted applet or application to elevate its
  privileges. For example, an applet may grant itself permissions to read and
  write local files or execute local applications that are accessible to the
  user running the untrusted applet.
- CVE-2008-1188: Two buffer overflow vulnerabilities in Java Web Start may
  independently allow an untrusted Java Web Start application to elevate its
  privileges. For example, an untrusted Java Web Start application may grant
  itself permissions to read and write local files or execute local
  applications that are accessible to the user running the untrusted
  application.
- CVE-2008-1187: A vulnerability in the Java Runtime Environment with parsing
  XML data may allow an untrusted applet or application to elevate its
  privileges. For example, an applet may read certain URL resources (such as
  some files and web pages).
- CVE-2008-0657: A vulnerability in the Java Runtime Environment may allow an
  untrusted application or applet that is downloaded from a website to elevate
  its privileges. For example, the application or applet may grant itself
  permissions to read and write local files or execute local applications that
  are accessible to the user running the untrusted application or applet.
- CVE-2007-5232: A vulnerability in the Java Runtime Environment (JRE) with
  applet caching may allow an untrusted applet that is downloaded from a
  malicious website to make network connections to network services on machines
  other than the one that the applet was downloaded from. This may allow
  network resources (such as web pages) and vulnerabilities (that exist on
  these network services) which are not otherwise normally accessible to be
  accessed or exploited.
- CVE-2007-5274: A vulnerability in the Java Runtime Environment (JRE) may
  allow malicious Javascript code that is downloaded by a browser from a
  malicious website to make network connections, through Java APIs, to network
  services on machines other than the one that the Javascript code was
  downloaded from. This may allow network resources (such as web pages) and
  vulnerabilities (that exist on these network services) which are not
  otherwise normally accessible to be accessed or exploited.
- CVE-2007-5273: A second vulnerability in the JRE may allow an untrusted
  applet that is downloaded from a malicious website through a web proxy to
  make network connections to network services on machines other than the one
  that the applet was downloaded from. This may allow network resources (such
  as web pages) and vulnerabilities (that exist on these network services)
  which are not otherwise normally accessible to be accessed or exploited.
- CVE-2007-5236: An untrusted Java Web Start application may write arbitrary
  files with the privileges of the user running the application.
- CVE-2007-5238: Three separate vulnerabilities may allow an untrusted Java Web
  Start application to determine the location of the Java Web Start cache.
- CVE-2007-5239: An untrusted Java Web Start application or Java applet may
  move or copy arbitrary files by requesting the user of the application or
  applet to drag and drop a file from the Java Web Start application or Java
  applet window.
- CVE-2007-5240: An untrusted applet may display an over-sized window so that
  the applet warning banner is not visible to the user running the untrusted
  applet.
- CVE-2007-4381: A vulnerability in the font parsing code in the Java Runtime
  Environment may allow an untrusted applet to elevate its privileges. For
  example, an applet may grant itself permissions to read and write local files
  or execute local applications that are accessible to the user running the
  untrusted applet.
* Thu Jan  3 2008 mvyskocil@suse.cz
- updated timezone info [#351112]
* Mon Dec 10 2007 mvyskocil@suse.cz
- updated timezone info [#345543]
* Wed Nov  7 2007 anosek@suse.cz
- updated to version 1.5.0 sr6
  * fixed L3: Concurrency issue under IBM Java 1.5 JVM [#330713]
  * fixed VUL-0: IBM Java Update November 2007 [#340481]
  * fixing: CVE-2007-4381, CVE-2007-5240, CVE-2007-5239,
    CVE-2007-5238, CVE-2007-5236, CVE-2007-5273,
    CVE-2007-5274, CVE-2007-5232
* Thu Oct 11 2007 anosek@suse.cz
- fixed VUL-0: jdk from IBM fixes security bugs [#303898]
  * updated to 1.5.0 sr5a
  * fixing: CVE-2007-2788 CVE-2007-2789 CVE-2007-3004 CVE-2007-3005
    CVE-2007-3655 CVE-2007-3922
* Fri Jul 13 2007 mls@suse.de
- removed alsa dependency for s390 32bit baselib package
* Wed Jul  4 2007 dbornkessel@suse.de
- include 2007f time zone data Bug #271326
- update to sr5 due to Bug #284423
  - fixes: CVE-2007-0243
  - Sun security fixes
  - DST bug in latest jdk releases when using EST MST and HST
  - PMR: java.sql.Timestamp.setTime() ignored
  - [PMR] fix call devirtualization in gvp
  - PMR:  100%% CPU Using Scala w/ Java 1.5.0
  - Improve HashMap performance
  - BLDBRK: jclxi32dev-20070313 HashMap regression
  - MarshalEx: incorrect SUID in JDK50 bcoz of new modifer bits
  - Improve BigDecimal performance
  - Windows Vista: java needs to be high-DPI aware
  - Improve HashMap performance
  - Performance degredation when verifying signed jars
  - [Bugzilla 124348] PPC: Lost precision in double remainder
  - [Bugzilla 124336] Vespa X86 lookupswitch template clobbers ESI
  - PMR: Chinese monospaced character incorrectly displayed
  - PMR: Deadlock During Classloading
  - Perf problem with sun_misc_Unsafe_setMemory
  - [Bugzilla 123829] EEMBC crash in MIPS BE WEME 6.1static build
  - PMR: WAS/Domino AIOB in jited code in WAS
  - Marshal Exception while invoking a method on colocated EJB
  - Retries happening on NO_PERMISSION causing user to be blocked
  - perf penalty of 30+%% due to use of "can_tag_objects" flag
  - Customer is reporting 20+ second pause times
  - SAP wants heapdump on thrown OOME to be default
  - PMR: GregorianCalendar computeTime() can fail in non-lenient
  - -showversion not recognised in IBM_JAVA_OPTIONS
  - [PMR] fix java.lang.Class type propagation
  - [PMR] WAS 6.1 z/OS crashed in jited method
  - -Xrs support needed on Win AMD64
  - PMR:  java/lang/Thread/setPriority() Blocks GC
  - [PMR] sampler thread pegs CPU when FSD is on
  - -showversion not recognised in IBM_JAVA_OPTIONS
  - Unexpected compactions during a Conurrent collection
  SR4 bug fixes:
  - Silent install on Windows reading response for Firefox Plugins
  - tzmappings changes introduce errors due to whitespace
  - Fix InstallJava function for PMR 57229,001,866
  - OOM due to unnecessary object retention in Deflater
  - Fix InstallJava function for PMR 57229,001,866
  - mod should be used instead of remainder in RSA
  - Fix InstallJava function for PMR 57229,001,866
  - IBMCharsets.java not thread safe
  - JConsole <pid> not working.
  - Corrupted shared cache cause JVM hang
  - Possible GC eating idle time resulting in 100%% CPU usage
  - Corrupted shared cache cause JVM hang
  - Old NIO hang with client auth want and client has no cert
  - PMR: Verification Algorithm Fails To Optimize
  - Hang during concurrent mark
  - Slow JVM_Write Performance on J9 AIX
  - [PMR] getStackTrace() reports different stack
  - JComboBox lost accessibity functionalities
  - Enum Marshalling problem: Enum.equals() fails
  - Xshareclasses: sysv semaphore id restart failure
  - zOS maxprec() Doesn't Account For Leap Seconds
  - Reapply defect 107449 changes to orb50
  - Incorporate time zone information tzdata2006n
  - Allow for message expansion in ClientRequestImpl.reInvoke()
  - GPF disposing of J9JVMTIEnv
  - [PMR] stack overflow and crash in Structure
  - XMLDecoder does not work properly on Turkish locale
  - Slow heapdump - SAP/Hugo Boss PMR 55873,001,866
  - JGSS: Cumulative fixes for APAR's IY90412, IY90329,IY90550
  - JGSS: Krb5LoginModule invladi client name passed for TGT
  - Regression in event notification in JComboBox
  - Removing bind() when local port is 0
  - Socket.close() is not working
  - SAP: make trace entries j9scar.75-76,j9scar.106-107 not level1
  - JComboBox popup lower border not drawn
* Mon May 21 2007 dbornkessel@suse.de
- added unrestricted policies (Bug #273922)
* Fri May 18 2007 dbornkessel@suse.de
- changed name of plugin lib file where symbolic link points to (Bug #242455)
* Tue May 15 2007 kukuk@suse.de
- Don't provide/obsolete java2-jre, this is not the successor of
  java2-jre on SLES10 [#273930]
* Sat Mar 10 2007 dbornkessel@suse.de
- fix for timezone bug, see
  http://bugs.sun.com/bugdatabase/view_bug.do;?bug_id=6530336 for bug description and
  http://www.ibm.com/support/alerts/us/en/daylightsavingstimealert.html for ibm info
* Sat Mar  3 2007 ro@suse.de
- baselib.conf renamed to baselibs.conf to make things work
* Thu Mar  1 2007 dbornkessel@suse.de
- put baselib.conf in package directory as discussed in Bug #243782
* Thu Oct 26 2006 dbornkessel@suse.de
- update to 1.5.0_sr3  (feature#301577)
* Wed Sep 13 2006 dbornkessel@suse.de
- update to 1.5.0_sr2
- changed version naming to ibm scheme (sr2)
- repackage IBM tar.gz balls to tar.bz2
* Wed Aug 16 2006 sndirsch@suse.de
- font.properties.SuSE.tar.gz:
  * added /usr/share/fonts/truetype to appendedfontpath in
    font.properties.{zh_CN,zh_HK,zh_TW}.SuSE; not sure if this
    helps since I think that font.properties.{zh_CN,zh_HK,zh_TW} is
    read instead; therefore question remains who is responsible to
    copy .{zh_CN,zh_HK,zh_TW}.SuSE to .{zh_CN,zh_HK,zh_TW} (maybe
    fonts-config?)
* Sun Aug 13 2006 ro@suse.de
- /usr/share/fonts is in filesystem package now, remove here
* Mon Mar 27 2006 dbornkessel@suse.de
- provide j2re and j2sdk (Bug #160109)
- provides jndi and some other stuff with realese-less versions
* Sun Mar 19 2006 schwab@suse.de
- Fix %%pluginname.
* Fri Mar 17 2006 dbornkessel@suse.de
- added versionless jdbc provide:
  Provides:       %%{name}-jdbc = %%{version}, %%{name}-jdbc,  java-jdbc = %%{version}, java-jdbc
* Wed Mar 15 2006 dbornkessel@suse.de
- added missing
  Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x jre1.5.x
  Obsoletes:      java2-jre
  Provides:       java2-jre
* Mon Mar 13 2006 dbornkessel@suse.de
- added missing PreReq:  /usr/sbin/update-alternatives
* Mon Feb 13 2006 schwab@suse.de
- Fix %%pluginpath.
* Mon Feb  6 2006 dbornkessel@suse.de
- fixed conflicting file list of jre and pluging package
- fixed several rpmlint errors and warnings
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 dbornkessel@suse.de
- First version based on jpackage post
